<template>
	<div class="right-section" v-if="VideoPhotoData.rightSectionDisplay">
		<Card
		v-for="(item, index) in VideoPhotoData.persons"
		:key="index + 'u'"
		:outHeight="'162px'"
		:outWidth="cardWidth"
		:data="item"
		:showType="'findByPic'"
		@detailsClick="getDetails($event, index)"
		></Card>
	</div>
</template>

<script>
import Card from "../subComponents/Card";

export default {
	components: {
    Card
  },
	props: {
    cardWidth: {
      type: String,
      default: "25%"
		},
  },
	methods: {
    getDetails(ev, index) {
      this.CardList.datalist = this.VideoPhotoData.persons
      let obj = this.CardList.datalist[index];
      this.CardList.details.push(obj);
      this.VideoPhotoData.activeCard = obj.activeObject.id
    }
  }
};
</script>
